package com.example.pap_teste.models;

public class Restaurant {
    private String name;
    private String category;
    private String email;
    private String address;
    private boolean isFavorite;

    public Restaurant() {
        // Required for Firebase
    }

    public Restaurant(String name, String category, String email, boolean isFavorite) {
        this.name = name;
        this.category = category;
        this.email = email;
        this.isFavorite = isFavorite;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public boolean isFavorite() {
        return isFavorite;
    }

    public void setFavorite(boolean favorite) {
        isFavorite = favorite;
    }
}
